Bug 81304 - up2date -lv crashes with trackback
Summary: up2date -lv crashes with trackback
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: up2date (Show other bugs)
(Show other bugs)
Version: 8.0
Hardware: i686 Linux
medium
low
Target Milestone: ---
Assignee: Adrian Likins
QA Contact: Red Hat Satellite QA List
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-01-07 21:04 UTC by Need Real Name
Modified: 2007-04-18 16:49 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-01-15 04:54:49 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2003-01-07 21:04:38 UTC
% sudo up2date -lv webalizer

Fetching package list for channel: redhat-linux-i386-8.0...
########################################

Fetching Obsoletes list for channel: redhat-linux-i386-8.0...
########################################

Fetching rpm headers...

Name                                    Version        Rel     
----------------------------------------------------------
webalizer                               2.01_10        9                   
Traceback (most recent call last):
  File "/usr/sbin/up2date", line 801, in ?
    main()
  File "/usr/sbin/up2date", line 573, in main
    fullUpdate, dryRun=options.dry_run))
  File "/usr/sbin/up2date", line 737, in batchRun
    batch.run()
  File "/usr/share/rhn/up2date_client/up2dateBatch.py", line 58, in run
    wrapperUtils.printVerboseList(self.packagesToInstall)
  File "/usr/share/rhn/up2date_client/wrapperUtils.py", line 303, in
printVerboseList
    advisories = rhnErrata.getAdvisoryInfo(pkg)
  File "/usr/share/rhn/up2date_client/rhnErrata.py", line 40, in getAdvisoryInfo
    pkgName = "%s-%s-%s" % (h['name'],
UnboundLocalError: local variable 'h' referenced before assignment


Version-Release number of selected component (if applicable): up2date-3.0.7-1
How reproducible: always

Comment 1 Adrian Likins 2003-01-15 04:54:49 UTC
should be fixed in versions higher than 3.0.40
upcoming errata should fix it.


Note You need to log in before you can comment on or make changes to this bug.